/* Input ================ */
.input {
  --input-height: 50px;
  --input-padding-horizontal: 20px;
  --input-border-radius: 10px;
  --input-font-size: 16px;
  --input-border: 1px solid transparent;
  --input-background-color: #f4f6f5;

  --input-placeholder-color: color-mod(var(--color-black-light) lightness(20%));

  display: inline-block;
  width: 100%;
  height: var(--input-height);
  padding-right: var(--input-padding-horizontal);
  padding-left: var(--input-padding-horizontal);
  border: var(--input-border);
  border-radius: var(--input-border-radius);
  background-color: var(--input-background-color);
  font-size: var(--input-font-size);

  &::placeholder {
    color: var(--input-placeholder-color);
    transition: var(--transition-time) var(--transition-type);
  }

  &:focus {
    outline: none;

    &::placeholder {
      color: transparent;
    }
  }

  &.error {
    border-color: var(--color-primary);
  }

  &.input--white {
    --input-background-color: var(--color-white);
    background-color: var(--input-background-color);
  }
}

span.error {
  display: block;
  width: 100%;
  padding-left: 15px;
  position: absolute;
  top: 100%;
  font-size: 14px;
  text-align: left;
  color: var(--color-primary);
}

.js-mask-phone {

  &:focus {

    &::placeholder {
      color: var(--color-black-light);
    }
  }
}
/* ================ end input styles */
